--- src/DownloadClient.cpp.orig	Thu Jul 15 04:07:41 2004
+++ src/DownloadClient.cpp	Thu Jul 15 04:10:41 2004
@@ -869,7 +869,7 @@
 			}
 		}
  	} catch (...) {
-		AddDebugLogLineM(false,wxString::Format(wxT("Unknown exception in %s: file \""), __FUNCTION__) + (m_reqfile ? m_reqfile->GetFileName() : wxT("?")) + wxT("%s\""));
+		AddDebugLogLineM(false,wxString::Format(wxT("Unknown exception in %s: file \""), __FUNCTION__) + (m_reqfile ? (const wxChar*)(m_reqfile->GetFileName()) : wxT("?")) + wxT("%s\""));
 	}
 }
 
@@ -964,14 +964,14 @@
 				strZipError.Printf(_T(" %d '%s'"), err, zS->msg);
 			else if (err != Z_OK)
 				strZipError.Printf(_T(" %d"), err);
-			AddDebugLogLineM(false, wxString::Format(wxT("Unexpected zip error ")) +  strZipError + wxT("in file \"") + (m_reqfile ? m_reqfile->GetFileName() : wxT("?")) + wxT("\""));
+			AddDebugLogLineM(false, wxString::Format(wxT("Unexpected zip error ")) +  strZipError + wxT("in file \"") + (m_reqfile ? (const wxChar*)(m_reqfile->GetFileName()) : wxT("?")) + wxT("\""));
 		}
 
 		if (err != Z_OK) {
 			(*lenUnzipped) = 0;
 		}
 	} catch (...) {
-		AddDebugLogLineM(false, wxString::Format(wxT("Unknown exception in %s: file \""), __FUNCTION__) + (m_reqfile ? m_reqfile->GetFileName() : wxT("?")) + wxT("\""));
+		AddDebugLogLineM(false, wxString::Format(wxT("Unknown exception in %s: file \""), __FUNCTION__) + (m_reqfile ? (const wxChar*)(m_reqfile->GetFileName()) : wxT("?")) + wxT("\""));
 		err = Z_DATA_ERROR;
 	}
 	return err;
